package com.yang.test.mapper;

import com.yang.test.domain.Category;
import com.yang.test.domain.QuestionH;
import com.yang.test.domain.TestResult;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface HldzyMapper {
    /**
     * 查询所有问题
     */
    List<QuestionH> selectAllQuestions();

    
    /**
     * 根据键值查询类型
     */
    Category selectCategoryByKey(@Param("cateKey") String cateKey);
    
    /**
     * 插入测试结果
     */
    int insertTestResult(TestResult testResult);
}